import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class InputNumberDirective implements OnChanges {
    el: ElementRef;
    private decimalRegex;
    private specialKeys;
    limitDecimalPlaces: number;
    disableCopy: boolean;
    disablePaste: boolean;
    allowNegative: boolean;
    min: number;
    max: number;
    pattern?: string | RegExp;
    private regex;
    inputElement: HTMLInputElement;
    constructor(el: ElementRef);
    /**
     * If the min or max input changes, then set the min or max property to the new value, or to -Infinity
     * or Infinity if the new value is not a number
     * @param {SimpleChanges} changes - SimpleChanges
     */
    ngOnChanges(changes: SimpleChanges): void;
    onBeforeInput(event: InputEvent): any;
    onKeyDown(event: KeyboardEvent): any;
    onCopy(event: any): void;
    onPaste(event: any): void;
    onInput(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputNumberDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InputNumberDirective, "[inputNumberValidator]", never, { "limitDecimalPlaces": "limitDecimalPlaces"; "disableCopy": "disableCopy"; "disablePaste": "disablePaste"; "allowNegative": "allowNegative"; "min": "min"; "max": "max"; "pattern": "pattern"; }, {}, never, never, false, never>;
}
